Tasks
Returns a list of “Remedial Action“ tasks. Other types, such as “Create Assessment”, are not included.
Authorization: Bearer {AuthorizationToken}
10001Comma separated task IDs
cle72jm2q0001pxwhqnf5qfocComma separated status IDs
See GET /tasks/statuses
notstarted,inprogressComma separated property IDs
cksq4ybpq104zwgwh2gd1vvhaUse property instead
Include names and emails of assigned users
falseInclude names of assigned teams
falseInclude names of categories
falseInclude names of severities
falseInclude names of timescales
false30341GET /tasks HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"total": 30341,
"tasks": [
{
"id": "cle72jm2q0001pxwhqnf5qfoc",
"property": "cksq4ybpq104zwgwh2gd1vvha",
"asset": "cksq4ybpq104zwgwh2gd1vvha",
"element": "clo4al25g0004e4wh1j8v2adq",
"reference": "RB-ABC123",
"customReference": "MyTaskRef0001",
"status": "inprogress",
"what": "Description of task",
"why": "Why the task is required",
"location": "Location of task",
"dueDate": "2024-01-01",
"category": "ckuqwxk32011i11oooozx3vc2",
"severity": "dkgcscowkkwcwsw0c40c4gcs",
"timescale": "scc4o0wc80800gkwg0cc4sk8",
"assignedTeams": [
{
"id": "cksq3a5ux03nx0ns0jntekwfm",
"manual": true,
"auto": false
}
],
"assignedUsers": [
{
"id": "cliylzuy600010nl44ox1hsqf",
"manual": false,
"auto": true
}
],
"photoIds": [
"cksq3jhl500ga0ls0oiibt7q2",
"cksq3j7tz006v0ls0bn0zeuq8"
]
}
],
"users": [
{
"id": "text",
"email": "name@gmail.com",
"name": "text"
}
],
"teams": [
{
"id": "text",
"name": "text"
}
],
"categories": [
{
"id": "text",
"name": "text"
}
],
"severities": [
{
"id": "text",
"name": "text"
}
],
"timescales": [
{
"id": "text",
"name": "text"
}
]
}Update a task's status
Triggers the
taskwebhook.
Authorization: Bearer {AuthorizationToken}
See GET /tasks/statuses
completedEmail or ID of the user who performed the change. If not provided or not recognised the update will be applied but the API user will be used instead
user.name@example.comCombustibles have been removedfalsePATCH /tasks/{task}/status HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"status": "completed",
"user": "user.name@example.com",
"comment": "Combustibles have been removed",
"skipWebhook": false
}Authorization: Bearer {AuthorizationToken}
GET /tasks/statuses HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"statuses": [
{
"id": "notstarted",
"name": "Not Started",
"isIncomplete": true
},
{
"id": "inprogress",
"name": "In Progress",
"isIncomplete": true
},
{
"id": "completed",
"name": "Completed",
"isIncomplete": false
},
{
"id": "cancelled",
"name": "Cancelled",
"isIncomplete": false
}
]
}Last updated
Was this helpful?